<nz-modal [nzVisible]='showContent' [nzFooter]='null' (nzOnCancel)='doClose()'
          nzTitle="{{'staffManager.recruit.confirmRecruit'|translate}}" [nzWidth]='nzWidth'
          [nzCentered]='true' class="modal__content">
  <ng-container *nzModalContent>
    <mb-table-merge-cell-wrap [extra]="false" mbTitle="">
      <mb-table-merge-cell
        [tableConfig]='tableConfig'
        [dataList]='listConfirmRecruit'
      ></mb-table-merge-cell>
    </mb-table-merge-cell-wrap>
    <div class="btn__close">
      <button nz-button nzType="default" (click)="doClose()">{{'staffManager.recruit.action.close'| translate}}</button>
    </div>
  </ng-container>

  <ng-template #actionTmpl let-id='candidateId'>
    <em nz-icon
        class="menu__item--btn"
        nz-button
        nzType="more"
        nzTheme="outline"
        nzTrigger="click"
        nz-dropdown
        nzPlacement="bottomRight"
        [nzDropdownMenu]="menu"
    ></em>
    <nz-dropdown-menu #menu="nzDropdownMenu">
      <ul nz-menu class="btn___action-group">
        <li
          nz-button
          nz-menu-item
          (click)="confirmRecruit(id, constant.RECRUIT_TYPE_NUMBER.NEW)"
        >
          <div class="menu__item">
            <em nz-icon nzType="redo" nzTheme="outline"></em>
            <span>{{'staffManager.recruit.action.confirmRecruitNew' | translate}}</span>
          </div>
        </li>
        <li
          nz-button
          nz-menu-item
          (click)="confirmRecruit(id, constant.RECRUIT_TYPE_NUMBER.REHIRE)"
        >
          <div class="menu__item">
            <em nz-icon nzType="undo" nzTheme="outline"></em>
            <span>{{'staffManager.recruit.action.confirmRecruitRehire' | translate}}</span>
          </div>
        </li>
        <li
          nz-button
          nz-menu-item
          nz-popconfirm
          nzPopconfirmTitle="{{'staffManager.recruit.action.confirmDelete' | translate}}"
          nzCancelText="{{'staffManager.recruit.action.cancel' | translate}}" nzOkType="primary"
          nzOkText="{{'staffManager.recruit.action.yes' | translate}}"
          (nzOnConfirm)="onDelete(id)"
          nzPopconfirmPlacement="top"
        >
          <div class="menu__item">
            <em nz-icon nzType="delete" nzTheme="outline"></em>
            <span>{{'staffManager.recruit.action.delete' | translate}}</span>
          </div>
        </li>
      </ul>
    </nz-dropdown-menu>
  </ng-template>

  <ng-template #statusTmpl let-status='duplicateType'>
    <ng-container *ngFor="let item of constant.DUPLICATE_TYPE">
      <span *ngIf="status === item.value">{{item.label | translate}}</span>
    </ng-container>
  </ng-template>
</nz-modal>
